import socket
import platform
import psutil

from apiflask import APIBlueprint

api = APIBlueprint('api', __name__)


@api.get('/hello')
def hello():
    result_one = f'我是您的专属接口提供服务器: {socket.gethostname()}'
    result_two = f'我的机器参数如下'
    result_three = f'操作系统：{platform.system()}，CPU 核数：{psutil.cpu_count()}，目前 CPU 占用率: {psutil.cpu_percent()}'
    text = """
        <style type="text/css">
            * {
                padding: 0;
                margin: 0;
            }

            div {
                padding: 4px 48px;
            }

            a {
                color: black;
                cursor: pointer;
                text-decoration: none
            }

            a:hover {
                text-decoration: None;
            }

            body {
                background: #fff;
                font-family:
                    "Century Gothic", "Microsoft yahei";
                color: #333;
                font-size: 18px;
            }

            h1 {
                font-size: 100px;
                font-weight: normal;
                margin-bottom: 12px;
            }

            p {
                line-height: 1.6em;
                font-size: 42px
            }
        </style>
        <div style="padding: 24px 48px;">
            <p>
                <a href="" target="_Blank">您好，PZX 大人！</a>
                <br />
                <span style="font-size:30px">
                    <a href=""> """ + result_one + """</a>
                </span>
                <br />
                <span style="font-size:25px">
                    <a href=""> """ + result_two + """</a>
                </span>
                <br />
                <span style="font-size:20px">
                    <a href=""> """ + result_three + """</a>
                    <br />
                    <a href=""> """ + result_three + """</a>
                    <br />
                    <a href=""> """ + f'总内存 {psutil.virtual_memory().total / 1024 / 1024}，使用中内存：{round(psutil.virtual_memory().used / 1024 / 1024, 2)}' + """</a>
                    <br />
                    <a href=""> """ + f'磁盘总空间 {round(psutil.disk_usage("/").total / 1024 / 1024 / 1024, 2)}，磁盘使用情况：{round(psutil.disk_usage("/").used / 1024 / 1024 / 1024, 2)}' + """</a>
                </span>
            </p>
        </div>
        """
    return text

